Bug 754325 - Mortgage sample repository isn't prompting to install for user.
Mortgage sample repository isn't prompting to install for user.
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: BRMS 5.3.0.GA
Assigned To: Toni Rikkola
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 01:48 EST by Ryan Zhang
Modified: 2012-05-30 01:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When logging onto the JBoss BRMS user interface for the first time, the system should prompt the user to install the sample repository, however, this was not occurring. This issue has been resolved and the user interface now prompts users to install the sample repository.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
paradhya: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2011-11-16 01:48:23 EST
Description of problem:


Version-Release number of selected component (if applicable):
This issue occurs to BRMS 5.3.0.DEV5.

For BRMS 5.2 and earlier version, the sample repository should be able to prompt to user for installation at the first time user logging on. It doesn't work in BRMS 5.3.0.DEV5. However, user can install the sample repository mannully via importing the jboss-brms.war/WEB-INF/classes/mortage-sample-repository.xml.

Talking to Jevise, this needs  be fixed.

How reproducible:

Everytime.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Locker 2011-11-23 06:49:30 EST
When working on this please take into account bug 724623. In order to satisfy bug 724623, BRMS should stop offering the sample repository after user clicks 'No, thanks'.
Comment 3 Prakash Aradhya 2012-01-18 11:36:08 EST
This is a regression and an annoying to not to have the samples when it comes up.
Please fix this on a priority.
Comment 5 Jiri Locker 2012-02-23 06:52:39 EST
Fixed in BRMS 5.3.0 ER4.
Comment 7 lcarlon 2012-05-09 19:46:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When logging onto the JBoss BRMS user interface for the first time, the system should prompt the user to install the sample repository, however, this was not occurring.
Comment 8 lcarlon 2012-05-30 01:22:42 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When logging onto the JBoss BRMS user interface for the first time, the system should prompt the user to install the sample repository, however, this was not occurring.+When logging onto the JBoss BRMS user interface for the first time, the system should prompt the user to install the sample repository, however, this was not occurring. This issue has been resolved and the user interface now prompts users to install the sample repository.

Note You need to log in before you can comment on or make changes to this bug.